/// <reference types="@tarojs/taro" />

declare module '*.png';
declare module '*.gif';
declare module '*.jpg';
declare module '*.jpeg';
declare module '*.svg';
declare module '*.css';
declare module '*.less';

declare namespace JSX {
  interface IntrinsicElements {
    'contact-cell': Partial<{
      plugid: string;
      startmessage: (e: any) => void;
      completemessage: (e: any) => void;
      style: React.CSSProperties;
      children?: any;
      styleType?:number;
    }>
  }
}

declare namespace NodeJS {
  interface ProcessEnv {
    TARO_ENV: 'weapp' | 'swan' | 'alipay' | 'h5' | 'rn' | 'tt' | 'quickapp' | 'qq' | 'jd'
  }
}
